com.hazelcast.spring.context

## Class SpringManagedContext

- java.lang.Object
- - com.hazelcast.spring.context.SpringManagedContext

- All Implemented Interfaces:
    ManagedContext, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

      public class SpringManagedContext
      extends Object
      implements ManagedContext, org.springframework.context.ApplicationContextAware

  `ManagedContext` implementation for Hazelcast.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringManagedContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `initialize(Object obj)` Initialize the given object instance.
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringManagedContext

          public SpringManagedContext()

  - ### Method Detail

    - #### initialize

          public Object initialize(Object obj)

      Description copied from interface: `ManagedContext`
      Initialize the given object instance. This is intended for repopulating select fields and methods for deserialized instances. It is also possible to proxy the object, e.g. with AOP proxies.
      Specified by:
        `initialize` in interface `ManagedContext`
      Parameters:
        `obj` - Object to initialize
      Returns:
        the initialized object to use

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                                     throws org.springframework.beans.BeansException

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
      Throws:
        `org.springframework.beans.BeansException`

Copyright © 2019. All rights reserved.